Bug 21103 - Some <a ping> content is present in the spec, contrary to the ISSUE-1/ISSUE-2 decision
Some <a ping> content is present in the spec, contrary to the ISSUE-1/ISSUE-2...
Status: RESOLVED FIXED
Product: HTML WG
Classification: Unclassified
Component: HTML5 spec
unspecified
All All
: P2 normal
: ---
Assigned To: Edward O'Connor
HTML WG Bugzilla archive list
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-02-24 18:04 UTC by Ian Devlin
Modified: 2013-02-26 19:39 UTC (History)
5 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ian Devlin 2013-02-24 18:04:55 UTC
In writing a short article on the a element (http://www.iandevlin.com/blog/2013/02/html5/link) I noticed what I first thought was a discrepancy between the WHATWG spec. and the W3C spec.

The WHATWG spec. (http://www.whatwg.org/specs/web-apps/current-work/multipage/text-level-semantics.html#the-a-element) explicitly lists the download and ping attributes as being part of the a element, whereas the W3C spec (http://www.w3.org/html/wg/drafts/html/master/text-level-semantics.html#the-a-element) does not.

However the W3C specification does mention both the download and ping attributes elsewhere in the specification (http://www.w3.org/html/wg/drafts/html/master/links.html#downloading-resources and http://www.w3.org/html/wg/drafts/html/master/links.html#hyperlink-auditing respectively).

I think that the W3C specification should match the WHATWG one in this case and explicitly list both the download and ping attributes under the specification of the a element.
Comment 1 Edward O'Connor 2013-02-25 19:38:34 UTC
EDITOR'S RESPONSE: This is an Editor's Response to your comment. If you are
satisfied with this response, please change the state of this bug to CLOSED. If
you have additional information and would like the Editor to reconsider, please
reopen this bug. If you would like to escalate the issue to the full HTML
Working Group, please add the TrackerRequest keyword to this bug, and suggest
title and text for the Tracker Issue; or you may create a Tracker Issue
yourself, if you are able to do so. For more details, see this document:

   http://dev.w3.org/html5/decision-policy/decision-policy.html

Status: Rejected
Change Description: No spec change.
Rationale: <a ping> was removed from the HTML5 spec due to the WG's
ISSUE-1 and ISSUE-2 decision:

http://lists.w3.org/Archives/Public/public-html/2010Mar/0132.html

We're tracking the possible addition of <a download> in bug 20583.

I'm resolving this bug as WORKSFORME, since we already have a bug
tracking <a download>, and since the ISSUE-1/ISSUE-2 decision prevents
us from re-adding <a ping> without new information.
Comment 2 Ian Devlin 2013-02-26 08:20:17 UTC
Ok, but the ping attribute still exists in the specification under the headline "hyperlink auditing" (http://www.w3.org/html/wg/drafts/html/master/links.html#hyperlink-auditing) therefore a discrepancy remains.
Comment 3 Edward O'Connor 2013-02-26 18:09:16 UTC
Ian,

Good point. Reopening with a title that reflects the remaining issue.
Comment 4 Edward O'Connor 2013-02-26 19:39:18 UTC
EDITOR'S RESPONSE: This is an Editor's Response to your comment. If you are
satisfied with this response, please change the state of this bug to CLOSED. If
you have additional information and would like the Editor to reconsider, please
reopen this bug. If you would like to escalate the issue to the full HTML
Working Group, please add the TrackerRequest keyword to this bug, and suggest
title and text for the Tracker Issue; or you may create a Tracker Issue
yourself, if you are able to do so. For more details, see this document:

   http://dev.w3.org/html5/decision-policy/decision-policy.html

Status: Accepted
Change Description: https://github.com/w3c/html/commit/29e5c81cb3d6bad4d28d1ec74f2d5367a4c8676f
Rationale: Fixed.